Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client
Interface HasEditorErrors<T>

Type Parameters:
  `T` - the type of object the editor displays.

All Superinterfaces:
  Editor<T>

All Known Implementing Classes:
  ValueBoxEditorDecorator

    public interface HasEditorErrors<T>

extends Editor<T>

Editors that wish to be notified about ConstraintViolations in the value being edited should implement this interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor
`Editor.Ignore, Editor.Path`

Method Summary
`void` | `showErrors(java.util.List<EditorError> errors)` Called by the EditorDriver to propagate errors.

Method Detail

### showErrors

    void showErrors(java.util.List<EditorError> errors)

  Called by the EditorDriver to propagate errors. May be called with a zero-length list to indicate that any existing error condition should be cleared.

  An Editor may consume any errors reported by its sub-Editors by calling `EditorError.setConsumed(boolean)`. Any unconsumed editors will be reported up the Editor hierarchy and will eventually be emitted by the EditorDriver.

  Parameters:
    `errors` - an unmodifiable list of EditorErrors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD